# Address Manager

## addressManager

### `getAddress`

Query the address for a given contract, `_name`.

{% code overflow="wrap" %}

```solidity
/// @notice Get `_name` parameters from events log
event AddressSet(
    string indexed _name, 
    address _newAddress, 
    address _oldAddress
);
```

{% endcode %}

{% code overflow="wrap" %}

```solidity
function getAddress(
        string memory _name
) 

return _addresses[_getNameHash(_name)]
```

{% endcode %}

## addressResolver

Get the address of addressManager.

{% code overflow="wrap" %}

```solidity
function getAddressManager()

return IAddressManager(
    _getAddressResolverStorage().addressManager
)
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nekodex.org/nekodex-playground/docs-for-devs/contracts/address-manager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
